{{- if .Values.istio.enabled -}}
apiVersion: v1
kind: Namespace
metadata:
  name: {{ .Values.namespace.name }}
  labels:
    {{- include "badhouseplants-net.labels" . | nindent 4 }}
    {{- range $key, $value := .Values.namespace.labels}}
    {{ $key }}: {{ $value }}
    {{- end }}
  {{- with .Values.namespace.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}

{{- end }}